<?php

function tma_preprocess_html(&$vars) {
  // Add conditional CSS for IE6 and IE7.
  drupal_add_css(drupal_get_path('theme', 'tma') . '/ie.css', array('group' => CSS_THEME, 'browsers' => array('IE' => 'lte IE 7', '!IE' => FALSE), 'preprocess' => FALSE));
}

function tma_preprocess_node(&$vars) {
  $vars['title_attributes_array']['class'] = 'node-title';
}

function tma_preprocess_comment(&$vars) {
  $vars['title_attributes_array']['class'] = 'comment-title';
}

function tma_preprocess_block(&$vars) {
  $vars['title_attributes_array']['class'] = 'block-title';
}

function tma_preprocess_page(&$vars) {
  if (empty($vars['postamble'])) {
    // Linkback: Please do not remove this as a courtesy to the effort we have put into this theme. 
    global $base_path;
    $text = tma_linkback_text();
    $title = 'Theme by ProsePoint Express: ' . $text;
    $vars['postamble'] = '<div style="font-size: 12px; line-height: 20px; text-align: right;"><a href="http://www.prosepoint.net" title="' . $title . '"><img src="' . $base_path . drupal_get_path('theme', 'tma') . '/prosepoint_icon.png" style="vertical-align: middle;" alt="ProsePoint Express: ' . $text . '" title="' . $title . '" /></a></div>';
  }
  if (empty($vars['page']['footer']['#suffix'])) {
    $vars['page']['footer']['#suffix'] = '';
  }
  $vars['page']['footer']['#suffix'] .= $vars['postamble'];
}

function tma_linkback_text() {
  $options = array(
    'Online newspaper and magazine cms software', 
    'Content management system for newspapers and magazines', 
    'Newspaper cms', 
    'Magazine and newspaper software', 
    'News publishing content management system', 
    'Newpaper websites and web design', 
    'Websites and web design for magazines', 
    'Publishing software', 
    'News website publishing software', 
    'Software for hosted news websites', 
    'Software for publishing news', 
  );
  return $options[strlen(variable_get('site_name', 'Drupal')) % count($options)];
}

function tma_breadcrumb($variables) {
  $breadcrumb = $variables['breadcrumb'];  
  $tma_breadcrumb = theme_get_setting('tma_breadcrumb');

  if (!empty($breadcrumb) && ($tma_breadcrumb == 'yes' || ($tma_breadcrumb == 'admin' && arg(0) == 'admin'))) {
    // Provide a navigational heading to give context for breadcrumb links to
    // screen-reader users. Make the heading invisible with .element-invisible.
    $output = '<h2 class="element-invisible">' . t('You are here') . '</h2>';

    if (!theme_get_setting('tma_breadcrumb_home')) {
      // Optionally get rid of the homepage link
      array_shift($breadcrumb);
    }
    if (theme_get_setting('tma_breadcrumb_title')) {
      // Optionally append content title
      array_push($breadcrumb, drupal_get_title());
    }
    
    $separator = check_plain(theme_get_setting('tma_breadcrumb_separator'));
    $leading = theme_get_setting('tma_breadcrumb_leading') ? $separator : '';
    $trailing = theme_get_setting('tma_breadcrumb_trailing') ? $separator : '';

    $output .= '<div class="breadcrumb">' . $leading . implode($separator, $breadcrumb) . $trailing . '</div>';
    return $output;
  }
}
